<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');

$proveedor=$_GET['proveedor'];
$hasta=$_GET['hasta'];
if($proveedor==0)
{
    $pdf=new PDF_MC_Table();
    $pdf->AddPage();
    $pdf->SetFont('Arial','',14);
    $pdf->AliasNbPages();
    //Table with 20 rows and 4 columns
    $pdf->Cell(0,10,'CUENTAS POR PAGAR',0,1);
    $pdf->SetFont('Arial','',7);

    $sumador_saldo=0; 
    $query=mysqli_query($con,"SELECT * FROM compras where com_fecha<='$hasta' and sucursal='$sucursal' and empresa='$empresa' and com_estado='sin pagar' and com_formapago='Credito' order by proveedor_nombre ") or die(mysqli_error($con));
    while($roww=mysqli_fetch_array($query))
    { 
        $com_id=$roww['com_id'];
        $proveedor_pro_id=$roww['proveedor_pro_id'];
        $com_facturaproveedor=$roww['com_facturaproveedor'];
        $com_fecha=$roww['com_fecha'];
        $com_dias=$roww['com_dias'];

        $pdf->SetFillColor(215,235,2415);
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(190,6,utf8_decode($roww['proveedor_nombre']),1,0,'C',1);
        $pdf->Ln();

        $vence = strtotime($com_fecha."+ ".$com_dias." days");
        date("Y-m-d",$vence) . "\n";
        $fecha=date('Y-m-d ');

        $hasta=date("Y-m-d",$vence) . "\n";
        $hoy=$fecha;
        $dias = (strtotime($hasta)-strtotime($hoy))/86400;
        $dias = abs($dias);

        if($hasta >= $hoy)
        {
            $dias = '-' .floor($dias);
        }
        else
        {
            $dias = '+' .floor($dias);
        }

        $sumador_total=0;
        $neto=0;
        $total_retencion=0;
        $total_cargo_adicional=0;
        $sql=mysqli_query($con, "SELECT * from compra_detalle where compras_com_id='$com_id' and empresa='$empresa'");
        while ($rew=mysqli_fetch_array($sql))
        {
            $comd_cantidad=$rew['comd_cantidad'];
            $comd_precio=$rew['comd_precio'];
            $comd_iva=$rew['comd_iva'];
            $comd_flete=$rew['comd_flete'];
            $cargo_adicional=$comd_flete*$comd_cantidad;
            $precio_total=$comd_precio*$comd_cantidad;
            $iva=($precio_total*$comd_iva)/100;
            $neto+=$precio_total;//Sumador
            $sumador_total+=$precio_total+$iva;//Sumador
            $total_cargo_adicional+=$cargo_adicional;
        }
    
        $pdf->SetFillColor(235,325,115);
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(32,6,utf8_decode('FACTURA N°'),1,0,'C',1);
        $pdf->Cell(32,6,$com_facturaproveedor,1,0,'C',1);
        $pdf->Cell(31,6,'VENCE',1,0,'C',1);
        $pdf->Cell(32,6,$dias,1,0,'C',1);
        $pdf->Cell(32,6,'TOTAL FACTURA',1,0,'C',1);
        $pdf->Cell(31,6,number_format($sumador_total),1,0,'C',1);
        $pdf->Ln();  

        $pdf->SetFillColor(235,325,315);
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(95,6,'FECHA DE ABONOS',1,0,'C',1);
        $pdf->Cell(95,6,'ABONOS',1,0,'C',1);
        $pdf->Ln(); 

        $saldo_vencido=0;
        $suma_abo=0;   
        $saldo=0;
        $registross1=mysqli_query($con,"SELECT * FROM compra_abonos where empresa='$empresa' and compras_com_id ='$com_id'") or die(mysqli_error($con));
        while ($reg1=mysqli_fetch_array($registross1))
        {  
            $coab_fecha=$reg1['coab_fecha'];
            $coab_abono=$reg1['coab_abono'];
            $suma_abo+=$coab_abono;
            if ($coab_abono==0) 
            {  }
            else
                {
          
                    $pdf->SetWidths(array(95,95));
                    srand(time()*1000000);
                    $pdf->Row(array($com_fecha,number_format($coab_abono)));
                }
        }
        $saldo=$sumador_total+$total_cargo_adicional-$suma_abo;

        $pdf->SetFillColor(110,199,555);
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(159,6,'TOTAL ABONADO',1,0,'R',1);
        $pdf->Cell(31,6,number_format($suma_abo,0),1,0,'C',1);
        $pdf->Ln();

        $pdf->SetFillColor(255,0,0);
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(159,6,'SALDO',1,0,'R',1);
        $pdf->Cell(31,6,number_format($saldo,0),1,0,'C',1);
        $pdf->Ln();
        $sumador_saldo+=$saldo; 

        $pdf->SetFillColor(255,255,255);
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(190,6,'',1,0,'R',1);
        $pdf->Ln();
    }

    $pdf->SetFillColor(255,255,255);
    $pdf->SetFont('Arial','B',8);
    $pdf->Cell(190,6,'',1,0,'R',1);
    $pdf->Ln();

    $pdf->SetFillColor(0,187,45);
    $pdf->Cell(160,6,'TOTAL CUENTA POR PAGAR',1,0,'R',1);
    $pdf->Cell(30,6,number_format($sumador_saldo,0),1,0,'C',1);
    $pdf->Ln();

    $pdf->Output();
}
else
{
    $pdf=new PDF_MC_Table();
    $pdf->AddPage();
    $pdf->SetFont('Arial','',14);
    $pdf->AliasNbPages();
    //Table with 20 rows and 4 columns
    $pdf->Cell(0,10,'CUENTAS A PAGAR POR PROVEEDOR',0,1);
    $pdf->SetFont('Arial','',7);

    $sumador_saldo=0; 
    $query=mysqli_query($con,"SELECT * FROM compras where  com_fecha<='$hasta' and sucursal='$sucursal' and empresa='$empresa' and com_estado='sin pagar' and com_formapago='Credito' and proveedor_pro_id='$proveedor'") or die(mysqli_error($con));
    while($roww=mysqli_fetch_array($query))
    { 
        $com_id=$roww['com_id'];
        $proveedor_pro_id=$roww['proveedor_pro_id'];
        $com_facturaproveedor=$roww['com_facturaproveedor'];
        $com_fecha=$roww['com_fecha'];
        $com_dias=$roww['com_dias'];

        $pdf->SetFillColor(215,235,2415);
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(190,6,utf8_decode($roww['proveedor_nombre']),1,0,'C',1);
        $pdf->Ln();

        $vence = strtotime($com_fecha."+ ".$com_dias." days");
        date("Y-m-d",$vence) . "\n";
        $fecha=date('Y-m-d ');

        $hasta=date("Y-m-d",$vence) . "\n";
        $hoy=$fecha;
        $dias = (strtotime($hasta)-strtotime($hoy))/86400;
        $dias = abs($dias);

        if($hasta >= $hoy)
        {
            $dias = '-' .floor($dias);
        }
        else
        {
            $dias = '+' .floor($dias);
        }

        $sumador_total=0;
        $neto=0;
        $total_retencion=0;
        $total_cargo_adicional=0;
        $sql=mysqli_query($con, "SELECT * from compra_detalle where compras_com_id='$com_id' and empresa='$empresa'");
        while ($rew=mysqli_fetch_array($sql))
        {
            $comd_cantidad=$rew['comd_cantidad'];
            $comd_precio=$rew['comd_precio'];
            $comd_iva=$rew['comd_iva'];
            $comd_flete=$rew['comd_flete'];
            $cargo_adicional=$comd_flete*$comd_cantidad;
            $precio_total=$comd_precio*$comd_cantidad;
            $iva=($precio_total*$comd_iva)/100;
            $neto+=$precio_total;//Sumador
            $sumador_total+=$precio_total+$iva;//Sumador
            $total_cargo_adicional+=$cargo_adicional;
        }
    
        $pdf->SetFillColor(235,325,115);
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(32,6,utf8_decode('FACTURA N°'),1,0,'C',1);
        $pdf->Cell(32,6,$com_facturaproveedor,1,0,'C',1);
        $pdf->Cell(31,6,'VENCE',1,0,'C',1);
        $pdf->Cell(32,6,$dias,1,0,'C',1);
        $pdf->Cell(32,6,'TOTAL FACTURA',1,0,'C',1);
        $pdf->Cell(31,6,number_format($sumador_total),1,0,'C',1);
        $pdf->Ln();  

        $pdf->SetFillColor(235,325,315);
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(95,6,'FECHA DE ABONOS',1,0,'C',1);
        $pdf->Cell(95,6,'ABONOS',1,0,'C',1);
        $pdf->Ln(); 

        $saldo_vencido=0;
        $suma_abo=0;   
        $saldo=0;
        $registross1=mysqli_query($con,"SELECT * FROM compra_abonos where empresa='$empresa' and compras_com_id ='$com_id'") or die(mysqli_error($con));
        while ($reg1=mysqli_fetch_array($registross1))
        {  
            $coab_fecha=$reg1['coab_fecha'];
            $coab_abono=$reg1['coab_abono'];
            $suma_abo+=$coab_abono;
            if ($coab_abono==0) 
            {  }
            else
                {
          
                    $pdf->SetWidths(array(95,95));
                    srand(time()*1000000);
                    $pdf->Row(array($com_fecha,number_format($coab_abono)));
                }
        }
        $saldo=$sumador_total+$total_cargo_adicional-$suma_abo;           


        $pdf->SetFillColor(110,199,555);
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(159,6,'TOTAL ABONADO',1,0,'R',1);
        $pdf->Cell(31,6,number_format($suma_abo,0),1,0,'C',1);
        $pdf->Ln();

        $pdf->SetFillColor(255,0,0);
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(159,6,'SALDO',1,0,'R',1);
        $pdf->Cell(31,6,number_format($saldo,0),1,0,'C',1);
        $pdf->Ln();

        $sumador_saldo+=$saldo; 

        $pdf->SetFillColor(255,255,255);
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(190,6,'',1,0,'R',1);
        $pdf->Ln();
    } 
}

$pdf->SetFillColor(255,255,255);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(190,6,'',1,0,'R',1);
$pdf->Ln();

$pdf->SetFillColor(0,187,45);
$pdf->Cell(160,6,'TOTAL CUENTA POR PAGAR',1,0,'R',1);
$pdf->Cell(30,6,number_format($sumador_saldo,0),1,0,'C',1);
$pdf->Ln();

$pdf->Output();
?>